%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define cspi_version 1.1.8
%define GConf_version 2.2.0
%define gtk2_version 2.2.1
%define libglade_version 2.0.1
%define libgnome_version 2.2.0.1
%define libgnomeui_version 2.2.0.1
%define libxml_version 2.5.7
%define gnome_speech_version 0.2.1
%define gnome_mag_version 0.10.2

Summary:        gnopernicus
Name:           gnopernicus
Version:        0.3.3
Release:        2
URL:            http://www.gnome.org
Source:         %{name}-%{version}.tar.bz2

Patch0:		gnopernicus-0.3.3-aix.patch

License:        GPL
Group:          Gnome2/Accessibility
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       at-spi >= %{cspi_version}
Requires:       GConf2 >= %{GConf_version}
Requires:       gtk2 >= %{gtk2_version}
Requires:       libglade2 >= %{libglade_version}
Requires:       libgnome >= %{libgnome_version}
Requires:       libgnomeui >= %{libgnomeui_version}
Requires:       libxml2 >= %{libxml_version}
Requires:       gnome-speech  >= %{gnome_speech_version}
Requires:       gnome-mag >= %{gnome_mag_version}

%description
gnopernicus

%package devel
Summary:	Development tools.
Group:          Gnome2/Accessibility
Requires:	gnopernicus = %{version}

%description devel
Lib for development

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/gnopernicus-0.3.3-aix.patch

chmod +x configure
chmod +x install-sh
chmod +x mkinstalldirs

%build
LDFLAGS=-L%{_libdir} CPPFLAGS=-I%{_includedir} PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
        rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/gnopernicus-1.0/*.a
%{_bindir}/*
%{_datadir}/gnopernicus/glade/gnopi_files/*
%{_datadir}/gnopernicus/glade/brlmon_files/*
%{_datadir}/applications/*
%{_datadir}/gnome/help/*
%{_datadir}/omf/gnopernicus/*
%{_libdir}/locale/*/LC_MESSAGES/*.mo
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/gnopernicus-1.0/translation_tables/*

/usr/bin/*

%files devel
%defattr(-, root, system)
%{_libdir}/gnopernicus-1.0/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gnopernicus-1.0/*

/usr/include/*
